export declare enum Fields {
    Annex = "document",
    InputNumber = "inputnumber",
    Input = "input",
    Textarea = "textarea",
    Select = "select",
    Cascader = "cascader",
    GroupSelect = "groupSelect",
    Radio = "radio",
    Checkbox = "multiselect",
    Date = "datepicker",
    Amount = "amount",
    Mobile = "mobile",
    Email = "email",
    Formula = "formula",
    Member = "member",
    Dept = "dept",
    Switch = "switch",
    Status = "status",
    Link = "link",
    Subform = "subform",
    Operate = "operate",
    Autonum = "autonum",
    RelateTablePro = "relateTablePro",
    RelateTable = "relateTable",
    QuoteTable = "quoteTable",
    Image = "image",
    Region = "region",
    Richtext = "richtext",
    Recycle = "recycleFlag",
    TreeSelect = "treeSelect",
    IP = "ip",
    LogTable = "logTable",
    RangeNumber = "rangeNumber",
    IdentityCard = "identityCard",
    CustomField = "customField",
    PreviewTable = "previewTable",
    WorkingHours = "workHour",
    BaRelating = "baRelating",
    Relating = "relating",
    ProjectId = "projectId",
    ConditionRef = "conditionRef"
}
export declare type IFields = typeof Fields;
export declare enum FieldName {
    Code = "code",
    ParentId = "parentId",
    ProjectId = "projectId"
}
export declare type IFieldName = typeof FieldName;
export declare enum ErrorType {
    Pass = -1,
    Invalid = 0,
    Error = 1,
    Unknown = 2
}
export declare type IErrorType = typeof ErrorType;
export declare enum CodeMirrorActionType {
    Delete = "+delete"
}
