import React from 'react';
import 'codemirror/lib/codemirror.css';
import 'codemirror/mode/spreadsheet/spreadsheet.js';
import type { IColumn } from './types';
import './styles';
export * from './utils';
export interface FormulaEditorProps {
    visible: boolean;
    value?: string;
    className?: string;
    style?: React.CSSProperties;
    field: IColumn[];
    onClose: () => void;
    onChange?: ((formulaField: string, formula: string) => void);
    onLink?: () => void;
}
declare const _default: React.NamedExoticComponent<FormulaEditorProps>;
export default _default;
