import type { Editor } from 'codemirror';
import type { Variable, FunctionGroup, IColumn } from '../types';
export declare const initialState: {
    editor: Editor | undefined;
    editorValue: string;
    disabled: boolean;
    errorText: string;
    errorCode: unknown;
    fields: Variable[] | IColumn[] | undefined;
    originalFields: Variable[] | IColumn[] | undefined;
    currentFieldOrFunction: {
        name: string;
        description: string;
        useage: string;
        example: string;
        type: string;
    };
    functions: FunctionGroup[];
    isSelected: boolean;
    isFunctionField: boolean;
    isCursoring: boolean;
    fieldValues: string[];
    fieldLabels: string[];
    FunctionNames: string[];
};
export declare type InitialState = typeof initialState;
