import React from 'react';
import type { FC, ReactNode, Dispatch } from 'react';
import type { InitialState } from './initialState';
interface IStoreProps {
    children: ReactNode;
}
export interface IActionType extends InitialState {
    type: string;
    [x: string]: unknown;
}
interface IStore {
    state: InitialState;
    dispatch?: Dispatch<IActionType>;
}
export declare const store: React.Context<IStore>;
export declare const Store: FC<IStoreProps>;
export {};
