import type { InitLineTag, InitDocTag, FuzzySearchField, FuzzySearchFunctions, UseFormula, IsValidField, ReverseField, GetCodeBlock, GetFieldBlock, GetNearestIndex, IsValidFunction, GetEditorPos, GetEscapedTimes } from '../types';
import { ErrorType } from '../enum';
export declare const specialSymbols: string[];
export declare const blocks: string[];
export declare const escapeStrings: string[];
export declare const getEscapedTimes: GetEscapedTimes;
export declare const initLineTag: InitLineTag;
export declare const initDocTag: InitDocTag;
export declare const evil: (expression: string) => any;
export declare const isBracketError: (input: string) => boolean;
export declare const getFormulaError: (input: string) => (string | ErrorType)[];
export declare const fuzzySearchField: FuzzySearchField;
export declare const fuzzySearchFunctions: FuzzySearchFunctions;
export declare const useFormula: UseFormula;
export declare const isValidField: IsValidField;
export declare const reverseField: ReverseField;
export declare const getEditorPos: GetEditorPos;
export declare const isValidFunction: IsValidFunction;
export declare const getNearestIndex: GetNearestIndex;
export declare const getFieldBlock: GetFieldBlock;
export declare const getCodeBlock: GetCodeBlock;
